Actualité

Développeurs : pour quelle version d'iOS faut-il compiler ?

Par Didier, le

Faut-il, oui ou non, continuer à compiler son programme dans de vieilles versions d'iOS ? Les développeurs sont souvent assez divisés sur le sujet, estimant d'un côté que gérer toutes les plateformes a un coût important, mais que réserver une application à la dernière version d'iOS génère des ventes en moins.

Le graphique publié par Instapaper (application très populaire et disponible sur quasiment toutes les versions d'iOS en circulation) est vraiment intéressant à lire :

Développeurs : pour quelle version d'iOS faut-il compiler ?


Avec 98,8% des utilisateurs sous iOS4 (et +), le choix le plus raisonné semble celui de compiler à la fois pour iOS 4 et 5. Mais notez également que compiler pour iOS4.3 permet de capter 87,8% des utilisateurs, ce qui reste acceptable. En effet, entre iOS4 et 4.3, il existe de nombreuses différences d'API (iAd, ARC...) qui peuvent s'avérer déterminantes.

Matt Gemmell (personnalité très écoutée dans le monde du développement iOS) a un avis plus tranché. Selon lui, ne gérer que le dernier OS (iOS 5 en l'occurrence) n'est pas un si mauvais choix. Il permet à la fois de se concentrer sur les nouvelles API, de générer moins de code conditionnel, d'avoir des utilisateurs plus aguerris, et aussi de profiter du marketing généré avec les nouvelles fonctionnalités de l'OS. Par ailleurs, cela pousse aussi les clients à faire la mise à jour, s'ils veulent vraiment profiter de la dernière version de l'app.

Sur Mac4Ever, nous avons un public plus geek et vous êtes plus de 70% à posséder iOS5 sur votre iPhone, et pratiquement 95% sur l'iPad. Sur l'application iPhone version 3, iOS4.3 est nécessaire, car nous avons estimé que les nouvelles fonctions (ARC notamment) présentaient suffisamment d'intérêt pour ne pas avoir à gérer les précédentes versions. Et vue la proportion d'utilisateurs sous iOS5 sur cette version (plus de 90%), la prochaine mise à jour nécessitera iOS5 uniquement, ce qui nous permettra de nous concentrer sur certaines nouveautés à venir et d'arrêter de développer sous iOS4. Notez que nous avons également choisi de laisser la version 2.6 en ligne pour ne pas pénaliser trop rapidement nos lecteurs sous iOS3 (même si à terme, cette app sera évidemment abandonnée)

Si vous êtes développeur, n'hésitez pas à réagir à cet article à et nous donner votre opinion !

Commentaires

Connectez-vous/créez un compte pour réagir à cet article !
Oops, vous n'êtes pas connecté

Pour évaluer un commentaire sur Mac4Ever, vous devez être connecté avec votre compte utilisateur.

19 commentaires
Connectez-vous/créez un compte pour réagir à cet article !
Oops, vous n'êtes pas connecté

Pour évaluer un commentaire sur Mac4Ever, vous devez être connecté avec votre compte utilisateur.

Suivez-nous !

Guide d'achat iPhone

Voir le guide d'achat iPhone

Dossiers iPhone

Plus de dossiers iPhone

Dernières vidéos

Voir toutes les videos